Skip to content

Assign Agent To Project

POST
/api/projects/{project_id}/agents/{agent_id}

Assign a divine agent to a project.

Adds the specified divine agent to the project’s active agents list in ChromaDB through ProjectManager. If the agent is already assigned, returns the current list without modification. This enables local assistance for the project through the assigned agent.

Divine agents provide specialized capabilities such as writing assistance (HAWKEN), research and insight (LAGAN), orchestration (ORCHESTRATOR), and more.

Args: project_id: Unique project identifier agent_id: Divine agent identifier to assign (e.g., “HAWKEN”, “LAGAN”, “ORCHESTRATOR”)

Returns: dict: Response with confirmation message and updated agents list - message: Confirmation message string - active_agents: Updated list of assigned agent IDs

Raises: HTTPException: 404 if project not found HTTPException: 500 if assignment operation fails

Example Request: POST / api / projects / proj_abc123 / agents / HAWKEN

Example Success Response: json { "message": "Agent HAWKEN assigned to project proj_abc123", "active_agents": ["HAWKEN", "LAGAN", "ORCHESTRATOR"] }

Example Already Assigned Response: json { "message": "Agent HAWKEN already assigned to project proj_abc123", "active_agents": ["HAWKEN", "LAGAN"] }

project_id
required
Project Id
string
agent_id
required
Agent Id
string

Successful Response

Response Assign Agent To Project Api Projects Project Id Agents Agent Id Post
object
key
additional properties
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object